#include "util.h"

unsigned long long square(int num) {
    return num*num;
}

int main() {
    printf("Gib an, wie viele Quadratzahlen du berechnen möchtest: ");
    int input = get_clean_int();
    if (input == ERRORRETURN) {return -1;}
    if (!is_positive_int(input)) {
        printf("Deine eingegebene Zahl ist nicht positiv.\n");
        return -1;
    }

    printf("Hier sind %i Quadratzahlen:\n", input);
    unsigned long long range = input;
    for (unsigned long long i = 1; i <= range; i++) {
        if (will_square_overflow(i)) {
            printf("\nEs gab einen integer Overflow bei Quadratzahl Nr. %llu.\n", i);
            return -1;
        }
        unsigned long long squared = square(i);
        printf("%llu ", squared);
    }
    printf("\nDas war's\n");
    return 0;
}
